/* 
 * This file is subject to the terms and conditions of the GNU General Public
 * License.  See the file "COPYING" in the main directory of this archive
 * for more details.
 *
 * Copyright (C) Hewlett-Packard (Paul Bame) paul_bame@hp.com
 */
#include <sys/types.h>

/* Hack around debian's linux-kernel-headers. */
#include <asm/types.h>
typedef __u64 __le64;
typedef __u64 __be64;
typedef __u32 __le32;
typedef __u32 __be32;
typedef __u16 __le16;
typedef __u16 __be16;

#define _LINUX_TYPES_H
#include "common.h"

extern void error(int number, ...);

/* paloio.c */
extern int seekwrite(int fd, char *buf, unsigned size, unsigned where);
extern int seekread(int fd, char *buf, unsigned size, unsigned where);
extern int cat(int out, int in);
extern int fsize(int fd);

/* $Id: palo.h,v 1.1 2000/02/29 17:41:28 bame Exp $ */
